Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Issuing_Distribution_Point Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Issuing_Distribution_Point:

## Public Member Functions
CRL_Issuing_Distribution_Point * | copy () const override
| CRL_Issuing_Distribution_Point ()=default
| CRL_Issuing_Distribution_Point (const CRL_Distribution_Points::Distribution_Point &distribution_point)
const AlternativeName & | get_point () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate > > &cert_path, std::vector< std::set< Certificate_Status_Code > > &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

CRL Issuing Distribution Point Extension todo enforce restrictions from RFC 5280 5.2.5

Definition at line 441 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ CRL_Issuing_Distribution_Point() [1/2]

Botan::Cert_Extension::CRL_Issuing_Distribution_Point::CRL_Issuing_Distribution_Point | ( |  | ) |
| default

Referenced by copy().

## ◆ CRL_Issuing_Distribution_Point() [2/2]

Botan::Cert_Extension::CRL_Issuing_Distribution_Point::CRL_Issuing_Distribution_Point | ( | const CRL_Distribution_Points::Distribution_Point & | distribution_point | ) |
| inline explicit

Definition at line 446 of file x509_ext.h.

446 :
447 m_distribution_point(distribution_point) {}

## Member Function Documentation

## ◆ copy()

CRL_Issuing_Distribution_Point * Botan::Cert_Extension::CRL_Issuing_Distribution_Point::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 449 of file x509_ext.h.

450 { return new CRL_Issuing_Distribution_Point(m_distribution_point); }
Botan::Cert_Extension::CRL_Issuing_Distribution_Point::CRL_Issuing_Distribution_Point
CRL_Issuing_Distribution_Point()=default

References CRL_Issuing_Distribution_Point().

## ◆ get_point()

const AlternativeName & Botan::Cert_Extension::CRL_Issuing_Distribution_Point::get_point | ( |  | ) | const
| inline

Definition at line 452 of file x509_ext.h.

453 { return m_distribution_point.point(); }
Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::point
const AlternativeName & point() const
Definition: x509_ext.h:400

References Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::point().

## ◆ oid_of()

OID Botan::Cert_Extension::CRL_Issuing_Distribution_Point::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 456 of file x509_ext.h.

456{ return static_oid(); }
Botan::Cert_Extension::CRL_Issuing_Distribution_Point::static_oid
static OID static_oid()
Definition: x509_ext.h:455

References static_oid().

## ◆ static_oid()

static OID Botan::Cert_Extension::CRL_Issuing_Distribution_Point::static_oid | ( |  | ) |
| inline static

Definition at line 455 of file x509_ext.h.

455{ return OID("2.5.29.28"); }

Referenced by oid_of().

## ◆ validate()

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate > > & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code > > & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Name_Constraints, and Botan::Cert_Extension::Certificate_Policies.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp